Skip to content

Get chats.​

GET
/backend/v1/chats

Retrieves a list of chats that match the given criteria, with the option to adjust the limit for more results.

Chats contain details of user interactions with a LLM.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Query Parameters

search

Only return results that match the given text.

limit

Limits the amount of results.

Type
integer
Default
10
Maximum
100
Minimum
1
ascending

Whether results should be sorted in ascending order.

Type
boolean
Default
false
before

Only return results from before this timestamp.

after

Only return results from after this timestamp.

starred

If true return only chats that have been marked 'starred'.

Responses​

Successful Response

application/json
JSON
{
  
"chats": [
  
  
{
  
  
  
"access": {
  
  
  
  
"org": true,
  
  
  
  
"public": "string",
  
  
  
  
"users": [
  
  
  
  
  
"string"
  
  
  
  
]
  
  
  
},
  
  
  
"createdAt": "string",
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"projectId": "string",
  
  
  
"promptId": "string",
  
  
  
"promptTemplateId": "string",
  
  
  
"starred": true,
  
  
  
"updatedAt": "string",
  
  
  
"userId": "string"
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Updated at: